Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.filters
Class PutedEntry

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.jigedit.filters.PutedEntry

All Implemented Interfaces:
  java.lang.Cloneable, Comparable

Direct Known Subclasses:
  DeletedEntry

public class PutedEntry
extends AttributeHolder
implements Comparable

We want free pickling, hence the super class.

Field Summary
`protected static int` | `ATTR_AUTHOR`
`protected static int` | `ATTR_FILENAME`
`protected static int` | `ATTR_TIME`
`protected static int` | `ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`PutedEntry()`

Method Summary
`protected java.lang.String` | `getKey()`
`java.lang.String` | `getStringValue()`
`boolean` | `greaterThan(Comparable comp)`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, getValue, initialize, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, setValue, unsafeGetValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_AUTHOR

    protected static int ATTR_AUTHOR

### ATTR_URL

    protected static int ATTR_URL

### ATTR_FILENAME

    protected static int ATTR_FILENAME

### ATTR_TIME

    protected static int ATTR_TIME

Constructor Detail

### PutedEntry

    public PutedEntry()

Method Detail

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `Comparable`

### greaterThan

    public boolean greaterThan(Comparable comp)

  Specified by:
    `greaterThan` in interface `Comparable`

### getKey

    protected java.lang.String getKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD